## NAME

r3.in.ascii - Convert a 3D ASCII raster text file into a (binary) 3D raster map layer

## KEYWORDS

raster3d, voxel

## SYNOPSIS

r3.in.ascii
r3.in.ascii help
r3.in.ascii input=string output=string [nv=string] [type=string] [precision=string] [compression=string] [tiledimension=string]

### Parameters:

input=string
  Ascii raster file to be imported
output=string
  Name for G3d raster map
nv=string
  String representing NULL value data cell (use 'none' if no such value)
  Default: none
type=string
  Data type used in the output file
  Options: default,double,float
  Default: default
precision=string
  Precision used in the output file (default, max, or 0 to 52)
  Default: default
compression=string
  The compression method used in the output file
  Options: default,rle,none
  Default: default
tiledimension=string
  The dimension of the tiles used in the output file
  Default: default

## DESCRIPTION

Convert a 3D ASCII raster text file into a (binary) 3D raster map layer.

### Parameters:

type
  Data type used in the output file
  Options: default, double, float
precision
  Precision used in the output file
  Options: default, max, 0-52
compression
  Note that the none option only specifies that neither LZW nor RLE is used for compression. It does not turn off the compression all together. G3D does not support non-compressed files.
  Options: default, rle, none
tiledimension
  The dimension of the tiles used in the output file. The format is: XxYxZ
nv
  Specifies which value to convert to NULL-value. If the specified value is none, no conversion is performed. Default is none.
input
  Path and name of ASCII file to be imported
output
  Name of the G3D output map

## NOTES

The format for the ASCII file:

    north: floating point
    south: floating point
    east: floating point
    west: floating point
    top: floating point
    bottom: floating point
    rows: integer
    cols: integer
    levels: integer

This header is followed by the cell values in floating point format organized in rows with constant col and level coordinate. The rows are organized by constant level coordinate. Individual cell values are separated by space or CR.

NOTE: Currently, after the file has been imported, the stored values are compared with the original data. This feature is used to find bugs in the library at an early stage and will be turned off as soon as confidence has built up.

## EXAMPLE

Sample ASCII voxel map with one layer and several rows and columns (Spearfish area):

    north: 4925010.000000
    south: 4924890.000000
    east: 596760.000000
    west: 596610.000000
    top: 1.000000
    bottom: 0.000000
    rows: 4
    cols: 5
    levels: 1
    1204.74 1204.48 1204.19 1203.81 1203.39
    1203.89 1203.67 1203.34 1202.98 1202.43
    1203.05 1202.80 1202.51 1202.11 1201.48
    1202.10 1201.92 1201.62 1201.27 1200.68

## AUTHORS

Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos Mitas, Jaro Hofierka

## SEE ALSO

r3.out.ascii, v.to.rast3

Last changed: $Date: 2006/10/04 07:54:03 $

Main index - raster3D index - Full index